perf tool: Display event codes for Generic HW (PMU) events

Bug #1578211 reported by bugproxy on 2016-05-04
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Tim Gardner
Yakkety
Undecided
Unassigned

Bug Description

== Comment: #0 - Sukadev Bhattiprolu <email address hidden> - 2016-01-26 13:49:00 ==
+++ This bug was initially created as a clone of Bug #136063 +++

+++ This bug was initially created as a clone of Bug #136062 +++

Perf supports a small set of so-called "generic" PMU events like "cycles",
"instructions" etc. But most CPUs support a wide variety of events, several
closely related to run cycles or instructions or branches etc. For performance
analysis it would be useful to know precisely which PMU event is being
monitored by a generic event. This feature is to design/implement a mechanism
to display the precise raw event codes for the generic events in a suitable
file in sysfs.

Following is a posting of the small patch set to the community

   https://lkml.org/lkml/2016/1/11/982

== Comment: #3 - Diane Brent <email address hidden> - 2016-03-01 13:59:30 ==
Any new news from maintainer? When is deemed too late to try to get this in 16.04? Feature freeze is passed. Kernel freeze is 4/07. Will this target 16.04.1/16.10?

== Comment: #5 - Sukadev Bhattiprolu <email address hidden> - 2016-03-23 20:44:20 ==
The patches were merged into mainline recently:

commit d4969e2
Author: Sukadev Bhattiprolu <email address hidden>
Date: Mon Jan 11 14:55:25 2016 -0800

    powerpc/perf: Remove PME_ prefix for power7 events

commit e0728b5
Author: Sukadev Bhattiprolu <email address hidden>
Date: Mon Jan 11 14:55:26 2016 -0800

    powerpc/perf: Export Power8 generic and cache events to sysfs

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/arch/powerpc/perf/power7-pmu.c?id=d4969e2459c6e852a6862256cf8e869aaa3e8adf
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/arch/powerpc/perf/power8-pmu.c?id=e0728b50d480da6be228dd160a43b37e4c0b1636

bugproxy (bugproxy) on 2016-05-04
tags: added: architecture-ppc64 bugnameltc-136066 severity-medium targetmilestone-inin1610
Changed in ubuntu:
assignee: nobody → Taco Screen team (taco-screen-team)

------- Comment From <email address hidden> 2016-01-26 13:49 EDT-------

------- Comment From <email address hidden> 2016-03-01 13:59 EDT-------

------- Comment From <email address hidden> 2016-03-23 20:44 EDT-------

+++ This bug was initially created as a clone of Bug #136063 +++

+++ This bug was initially created as a clone of Bug #136062 +++

Perf supports a small set of so-called "generic" PMU events like "cycles",
"instructions" etc. But most CPUs support a wide variety of events, several
closely related to run cycles or instructions or branches etc. For performance
analysis it would be useful to know precisely which PMU event is being
monitored by a generic event. This feature is to design/implement a mechanism
to display the precise raw event codes for the generic events in a suitable
file in sysfs.

Following is a posting of the small patch set to the community

https://lkml.org/lkml/2016/1/11/982

Any new news from maintainer? When is deemed too late to try to get this in 16.04? Feature freeze is passed. Kernel freeze is 4/07. Will this target 16.04.1/16.10?

The patches were merged into mainline recently:

commit d4969e2
Author: Sukadev Bhattiprolu <email address hidden>
Date: Mon Jan 11 14:55:25 2016 -0800

powerpc/perf: Remove PME_ prefix for power7 events

commit e0728b5
Author: Sukadev Bhattiprolu <email address hidden>
Date: Mon Jan 11 14:55:26 2016 -0800

powerpc/perf: Export Power8 generic and cache events to sysfs

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/arch/powerpc/perf/power7-pmu.c?id=d4969e2459c6e852a6862256cf8e869aaa3e8adf
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/arch/powerpc/perf/power8-pmu.c?id=e0728b50d480da6be228dd160a43b37e4c0b1636

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1578211/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
affects: ubuntu → health-check (Ubuntu)
Colin Ian King (colin-king) wrote :

Why is this assigned to health-check?

affects: health-check (Ubuntu) → linux (Ubuntu)
Tim Gardner (timg-tpi) on 2016-05-11
Changed in linux (Ubuntu Xenial):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Changed in linux (Ubuntu Yakkety):
status: New → Fix Released
assignee: Taco Screen team (taco-screen-team) → nobody
Changed in linux (Ubuntu Xenial):
status: In Progress → Fix Committed
Kamal Mostafa (kamalmostafa) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2016-06-21 11:38 EDT-------
Verified the feature:

? cpu uname -a
Linux 1610 4.6.0-6-generic #7-Ubuntu SMP Tue May 17 16:25:53 UTC 2016 ppc64le ppc64le ppc64le GNU/Linux
? cpu cd /sys/bus/event_source/devices/cpu/events
? events ls
branch-instructions instructions L1-icache-prefetches
branch-load-misses iTLB-load-misses LLC-load-misses
branch-loads L1-dcache-load-misses LLC-loads
branch-misses L1-dcache-loads LLC-prefetches
cache-misses L1-dcache-prefetches LLC-store-misses
cache-references L1-dcache-store-misses LLC-stores
cpu-cycles L1-icache-load-misses stalled-cycles-backend
dTLB-load-misses L1-icache-loads stalled-cycles-frontend
? events cat branch-instructions
event=0x10068
? events cat L1-icache-load-misses
event=0x200fd

tags: added: verification-done-xenial
removed: verification-needed-xenial
Launchpad Janitor (janitor) wrote :
Download full text (26.1 KiB)

This bug was fixed in the package linux - 4.4.0-28.47

---------------
linux (4.4.0-28.47) xenial; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1595874

  * Linux netfilter local privilege escalation issues (LP: #1595350)
    - netfilter: x_tables: don't move to non-existent next rule
    - netfilter: x_tables: validate targets of jumps
    - netfilter: x_tables: add and use xt_check_entry_offsets
    - netfilter: x_tables: kill check_entry helper
    - netfilter: x_tables: assert minimum target size
    - netfilter: x_tables: add compat version of xt_check_entry_offsets
    - netfilter: x_tables: check standard target size too
    - netfilter: x_tables: check for bogus target offset
    - netfilter: x_tables: validate all offsets and sizes in a rule
    - netfilter: x_tables: don't reject valid target size on some architectures
    - netfilter: arp_tables: simplify translate_compat_table args
    - netfilter: ip_tables: simplify translate_compat_table args
    - netfilter: ip6_tables: simplify translate_compat_table args
    - netfilter: x_tables: xt_compat_match_from_user doesn't need a retval
    - netfilter: x_tables: do compat validation via translate_table
    - netfilter: x_tables: introduce and use xt_copy_counters_from_user

  * Linux netfilter IPT_SO_SET_REPLACE memory corruption (LP: #1555338)
    - netfilter: x_tables: validate e->target_offset early
    - netfilter: x_tables: make sure e->next_offset covers remaining blob size
    - netfilter: x_tables: fix unconditional helper

linux (4.4.0-27.46) xenial; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1594906

  * Support Edge Gateway's Bluetooth LED (LP: #1512999)
    - Revert "UBUNTU: SAUCE: Bluetooth: Support for LED on Marvell modules"

linux (4.4.0-26.45) xenial; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1594442

  * linux: Implement secure boot state variables (LP: #1593075)
    - SAUCE: UEFI: Add secure boot and MOK SB State disabled sysctl

  * failures building userspace packages that include ethtool.h (LP: #1592930)
    - ethtool.h: define INT_MAX for userland

linux (4.4.0-25.44) xenial; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1591289

  * Xenial update to v4.4.13 stable release (LP: #1590455)
    - MIPS64: R6: R2 emulation bugfix
    - MIPS: math-emu: Fix jalr emulation when rd == $0
    - MIPS: MSA: Fix a link error on `_init_msa_upper' with older GCC
    - MIPS: Don't unwind to user mode with EVA
    - MIPS: Avoid using unwind_stack() with usermode
    - MIPS: Fix siginfo.h to use strict posix types
    - MIPS: Fix uapi include in exported asm/siginfo.h
    - MIPS: Fix watchpoint restoration
    - MIPS: Flush highmem pages in __flush_dcache_page
    - MIPS: Handle highmem pages in __update_cache
    - MIPS: Sync icache & dcache in set_pte_at
    - MIPS: ath79: make bootconsole wait for both THRE and TEMT
    - MIPS: Reserve nosave data for hibernation
    - MIPS: Loongson-3: Reserve 32MB for RS780E integrated GPU
    - MIPS: Use copy_s.fmt rather than copy_u.fmt
    - MIPS: Fix MSA ld_*/st_* asm macros to use PTR_ADDU
    - MIPS: Prevent "restoration" of MSA c...

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers